# Interface GenericBinaryDocument

All Superinterfaces:
  `GenericBinaryDocumentReader`

All Known Implementing Classes:
  `BinaryDocument, CompoundDocument`

public interface GenericBinaryDocument extends GenericBinaryDocumentReader

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`SB`
`getAllDataFiles(String binaryFileList, String firstFile)`
`void`
`getAllDataMapped(String replace, String string, Map<String,String> fileData)`
`InputStream`
`getInputStream()`
`int`
`readByteArray(byte[] b, int off, int len)`
`int`
`readIntLE()`
`void`
`setOutputChannel(GenericOutputChannel out)`
`GenericBinaryDocument`
`setStream(BufferedInputStream bis, boolean isBigEndian)`
`void`
`setStreamData(DataInputStream dataInputStream, boolean isBigEndian)`
`int`
`swapBytesI(int nx)`
`short`
`swapBytesS(short s)`

### Methods inherited from interface GenericBinaryDocumentReader

`getPosition, readByte, readBytes, readDouble, readFloat, readInt, readLong, readShort, readString, readUInt8, readUnsignedShort, seek, setBigEndian`

## Method Details

### setStream

GenericBinaryDocument setStream(BufferedInputStream bis, boolean isBigEndian)

### setStreamData

void setStreamData(DataInputStream dataInputStream, boolean isBigEndian)

### getAllDataFiles

SB getAllDataFiles(String binaryFileList, String firstFile)

### getAllDataMapped

void getAllDataMapped(String replace, String string, Map<String,String> fileData)

### swapBytesI

int swapBytesI(int nx)

### swapBytesS

short swapBytesS(short s)

### setOutputChannel

void setOutputChannel(GenericOutputChannel out)

### getInputStream

InputStream getInputStream()

### readIntLE

int readIntLE() throws Exception

Throws:
  `Exception`

### readByteArray

int readByteArray(byte[] b, int off, int len) throws Exception

Throws:
  `Exception`

### close

void close()